Last modified: 2014-02-20 10:15:32 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 56477 - Pluginize fullscreen handling
Pluginize fullscreen handling
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
MultimediaViewer (Other open bugs)
unspecified
All All
: Normal enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
gci2013
: easy
Depends on: 57297
Blocks: code_quality
  Show dependency treegraph
 
Reported: 2013-11-01 17:50 UTC by Tisza Gergő
Modified: 2014-02-20 10:15 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Tisza Gergő 2013-11-01 17:50:50 UTC
Details of cross-browser fullscreen detection/switching should go into a reusable plugin.
Comment 1 Fabrice Florin 2013-11-04 23:55:02 UTC
Thanks, Gergo. I'm all in favor of a cross-browser full-screen plugin, if it can help address some of the issues we are experiencing with inconsistent full-screen behavior. Can you elaborate a bit on your proposed solution?
Comment 2 Tisza Gergő 2013-11-05 10:58:24 UTC
This wouldn't change anything functionally, just make the code cleaner (and avoid the need for code duplication if there are other MediaWiki projects which need to use fullscreen).
Comment 3 Mark Holmquist 2013-11-20 00:31:31 UTC
Yeah, this would be suuuper simple. And it's a core bug! I'd say file a separate one in MediaWiki/JavaScript and make this depend on it.
Comment 4 Tisza Gergő 2013-11-20 11:35:03 UTC
Unassigning, seems like a good Code-in candidate.
Comment 5 Theopolisme 2013-12-03 01:50:36 UTC
Thinking about this. Would it make more sense to use a pre-existing jQuery + fullscreen plugin rather than port our current (pretty crappy) code? Wheel reinvention is generally not a good thing...especially if our goal is cross-browser compatibility...
Comment 6 Theopolisme 2013-12-03 02:07:20 UTC
Although, speak of the devil, I think I just wrote a half-decent fullscreen plugin myself. Will test, create a patch, and then we can see how things stand. :)
Comment 7 Tisza Gergő 2013-12-03 08:46:03 UTC
Fullscreen handling is very simple (plugins mostly just take care of browser prefixes), I don't think it is worth adding an external dependency. (For reference, here is an existing plugin: https://github.com/kayahr/jquery-fullscreen-plugin/blob/master/jquery.fullscreen.js )
Comment 8 Theopolisme 2013-12-03 12:09:56 UTC
(In reply to comment #7)
> Fullscreen handling is very simple

Yeah, that's what I discovered. :)

(as well as learning through trial and error that our current prefix/caps handling had some flaws, apparently...)
Comment 9 Gerrit Notification Bot 2013-12-04 02:23:24 UTC
Change 99021 had a related patch set uploaded by Theopolisme:
[WIP] Create jquery.fullscreen

https://gerrit.wikimedia.org/r/99021
Comment 10 Gerrit Notification Bot 2014-01-27 13:21:22 UTC
Change 99021 merged by jenkins-bot:
Create jquery.fullscreen

https://gerrit.wikimedia.org/r/99021

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links